dhall-1.19.1: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Diff

Contents

- Diff

Description

This module provides functionality for concisely displaying the difference between two expressions

For example, this is used in type errors to explain why the actual type does not match the expected type

Synopsis

- diffNormalized :: (Eq a, Pretty a) => Expr s a -> Expr s a -> Doc Ann
- diff :: (Eq a, Pretty a) => Expr s a -> Expr s a -> Doc Ann

# Diff

diffNormalized :: (Eq a, Pretty a) => Expr s a -> Expr s a -> Doc Ann Source #

Render the difference between the normal form of two expressions

diff :: (Eq a, Pretty a) => Expr s a -> Expr s a -> Doc Ann Source #

Render the difference between two expressions